Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.util
Class PropertyList

    java.lang.Object
      cc.mallet.util.PropertyList

All Implemented Interfaces:
  java.io.Serializable

    public class PropertyList

extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Nested Class Summary
`class` | `PropertyList.Iterator`
`class` | `PropertyList.NumericIterator`
`class` | `PropertyList.ObjectIterator`

Field Summary
`protected java.lang.String` | `key`
`protected PropertyList` | `next`

Constructor Summary
`protected` | `PropertyList()`
`protected` | `PropertyList(java.lang.String key, PropertyList rest)`

Method Summary
`static PropertyList` | `add(java.lang.String key, double value, PropertyList rest)`
`static PropertyList` | `add(java.lang.String key, java.lang.Object value, PropertyList rest)`
`static PropertyList` | `add(java.lang.String key, java.lang.String value, PropertyList rest)`
`PropertyList` | `append(PropertyList nextPl)`
`boolean` | `hasProperty(java.lang.String key)`
`PropertyList.Iterator` | `iterator()`
`PropertyList` | `last()`
`double` | `lookupNumber(java.lang.String key)`
`java.lang.Object` | `lookupObject(java.lang.String key)`
`PropertyList.Iterator` | `numericIterator()`
`PropertyList.Iterator` | `objectIterator()`
`void` | `print()`
`static PropertyList` | `remove(java.lang.String key, PropertyList rest)`
`int` | `size()`
`static PropertyList` | `sumDuplicateKeyValues(PropertyList pl)`
`static PropertyList` | `sumDuplicateKeyValues(PropertyList pl, boolean ignoreZeros)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### next

    protected PropertyList next

### key

    protected java.lang.String key

Constructor Detail

### PropertyList

    protected PropertyList()

### PropertyList

    protected PropertyList(java.lang.String key,
                           PropertyList rest)

Method Detail

### add

    public static PropertyList add(java.lang.String key,
                                   java.lang.Object value,
                                   PropertyList rest)

### add

    public static PropertyList add(java.lang.String key,
                                   java.lang.String value,
                                   PropertyList rest)

### add

    public static PropertyList add(java.lang.String key,
                                   double value,
                                   PropertyList rest)

### remove

    public static PropertyList remove(java.lang.String key,
                                      PropertyList rest)

### lookupObject

    public java.lang.Object lookupObject(java.lang.String key)

### lookupNumber

    public double lookupNumber(java.lang.String key)

### hasProperty

    public boolean hasProperty(java.lang.String key)

### iterator

    public PropertyList.Iterator iterator()

### sumDuplicateKeyValues

    public static PropertyList sumDuplicateKeyValues(PropertyList pl)

### sumDuplicateKeyValues

    public static PropertyList sumDuplicateKeyValues(PropertyList pl,
                                                     boolean ignoreZeros)

### numericIterator

    public PropertyList.Iterator numericIterator()

### objectIterator

    public PropertyList.Iterator objectIterator()

### print

    public void print()

### size

    public int size()

### last

    public PropertyList last()

### append

    public PropertyList append(PropertyList nextPl)
                        throws java.lang.UnsupportedOperationException

  Throws:
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD